EC_NODE_COND(3)

NAME
ec_node_cond - Create a condition node.

SYNOPSIS
#include <ecoli/node_cond.h>

struct ec_node * ec_node_cond(
    const char       *id,        /* The node identifier. */
    /*
     * The condition string. This is a function-based expression.
     */
    const char       *cond_str,
    struct ec_node   *child      /* The ecoli child node. */
);

DESCRIPTION

The condition node checks that an expression is true before parsing/completing the child node. If it is false, the node doesn't match anything.

RETURN VALUE

The new ecoli cond node.

SEE ALSO

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.